Bug 129353 - RFE: enable GSSAPI auth
Summary: RFE: enable GSSAPI auth
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: curl   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-06 19:56 UTC by Enrico Scholz
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 7.12.1-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 19:35:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2004-08-06 19:56:40 UTC
Description of problem:

Please enable the 'negotiate' method in curl; this can be done by adding

| --with-gssapi=/usr/kerberos

to %configure in the spec-file.

With a small modification (changing lowercase 'http' to 'HTTP'; see
http://sourceforge.net/tracker/index.php?func=detail&aid=1004105&group_id=976&atid=100976)
and using bogus usernames (see
http://sourceforge.net/tracker/index.php?func=detail&aid=1004841&group_id=976&atid=100976)
it works well with the mod_auth_kerb package.

This auth-method is supported by recent Mozilla/Firefox also.



Version-Release number of selected component (if applicable):

curl-7.12.0-2

Comment 1 Daniel Stenberg 2004-08-10 11:07:23 UTC
The first mentioned patch is included in the just released curl 7.12.1
upstream release.

The second problem is still present but documented in the KNOWN_BUGS file.


Note You need to log in before you can comment on or make changes to this bug.